curl --request GET \
--url https://api.skulabs.com/distributor/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/distributor/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/distributor/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skulabs.com/distributor/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skulabs.com/distributor/get"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skulabs.com/distributor/get")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skulabs.com/distributor/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"active": true,
"address": {
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"terms": "<string>",
"shipping": "<string>",
"memo": "<string>",
"items": [
{
"_id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"cost": 123,
"quantity": 123,
"minimum_quantity": 123,
"lot_quantity": 123,
"part_number": "<string>",
"reorder_point": 123,
"reorder_rule": "<string>",
"notes": "<string>"
}
],
"location_id": "507f1f77bcf86cd799439011",
"default_billing_profile_id": "507f1f77bcf86cd799439011"
}
]{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}Distributor - Get
Retrieve a paginated list of distributors (suppliers/vendors).
curl --request GET \
--url https://api.skulabs.com/distributor/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/distributor/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/distributor/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skulabs.com/distributor/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skulabs.com/distributor/get"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skulabs.com/distributor/get")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skulabs.com/distributor/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"active": true,
"address": {
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"terms": "<string>",
"shipping": "<string>",
"memo": "<string>",
"items": [
{
"_id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"cost": 123,
"quantity": 123,
"minimum_quantity": 123,
"lot_quantity": 123,
"part_number": "<string>",
"reorder_point": 123,
"reorder_rule": "<string>",
"notes": "<string>"
}
],
"location_id": "507f1f77bcf86cd799439011",
"default_billing_profile_id": "507f1f77bcf86cd799439011"
}
]{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Query selector object for filtering results
Max results to return
50
Number of results to skip
0
Sort fields object, e.g. { "name": 1 }
Projection fields object, e.g. { "name": 1 }
Response
Array of suppliers matching the query
Unique supplier identifier
"507f1f77bcf86cd799439011"
Supplier name
Supplier phone number
Supplier email address
Whether the supplier is active
Supplier address
Show child attributes
Show child attributes
Default payment terms
Default shipping method
Default memo for purchase orders
Items supplied by this supplier
Show child attributes
Show child attributes
Default location ID for this supplier
"507f1f77bcf86cd799439011"
Billing profile purchase orders for this supplier are issued under
"507f1f77bcf86cd799439011"